package com.mq.mylibrary.db;


import com.mq.mylibrary.tool.StringTool;

/**
 * 创建人 mQ
 * 创建时间 2019/2/27 0027 10:34
 * 文件名称 BaseEntity
 * 说明:
 **/
public abstract class BaseEntity {


    /**
     * 将写入信息分段
     */
    public  String handleDatas(String... strings) {
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < strings.length; i++) {
            String string = strings[i];
            if (StringTool.isEmpty(string))
                string = "";

            sb.append(string);

            if (i < strings.length - 1) {
                sb.append("|");
            }
        }
        return sb.toString();
    }
}
